Enviar um arquivo de mídia
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'{
"id": "1234567890123456"
}Mídia
Enviar um arquivo de mídia
Enviar um arquivo de mídia. Consulte os parâmetros, o exemplo e as respostas disponíveis para esta operação.
POST
/
meta
/
phone-numbers
/
{phoneNumberId}
/
media
Enviar um arquivo de mídia
curl --request POST \
--url https://cerberus.eazybe.com/prod/api/v2/meta/phone-numbers/{phoneNumberId}/media \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: multipart/form-data' \
--form file='@example-file'{
"id": "1234567890123456"
}Autorizações
Token bearer da Eazybe. O token identifica a organização e deve ser mantido no servidor.
Parâmetros de caminho
ID do número de telefone retornado por GET /meta/phone-numbers.
Corpo
multipart/form-data
curl -X POST "https://cerberus.eazybe.com/meta/phone-numbers/5647382910/media" \
-H "Authorization: Bearer <jwt>" \
-F "file=@invoice.pdf"
Resposta
200 - application/json
Media uploaded
Failure responses
| Status | Meaning | Action |
|---|---|---|
401 | Missing, invalid, or expired bearer token | Re-authenticate |
404 | phoneNumberId not linked to your organization | Verify the id |
400 | Unsupported MIME type or file over WhatsApp's size limit (image 5 MB, document 100 MB, video/audio 16 MB) | Re-encode or compress |
500 | No file field in the multipart body | Send as multipart/form-data with field file |
502 | Graph unreachable or timed out | Retry with backoff |
Esta página foi útil?